#ifndef __XIOS_CGraph_package__
#define __XIOS_CGraph_package__

namespace xios
{
  class CField;
  struct CGraphPackage
  {
    int filterId;
    std::vector< int > sourceFilterIds;
    std::vector< CField* > inFields;
    StdString contextId;
  };
  struct CGraphDataPackage
  {
    int fromFilter;
    int toFilter;
    StdString current_filter_name;
    CField *currentField=nullptr;
    int distanceFromStart=-1;
    StdString contextId;

    CGraphDataPackage(): fromFilter(-1) {}
  }; 
} // namespace xios

#endif //__XIOS_CGraph_package__
